/***************************************************************************
 *   Copyright (C) 2004 by Veselin Georgiev                                *
 *   vesko@ViruS                                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/


#define FSAA_MODE_NONE		0
#define FSAA_MODE_4X_LO_Q	2
#define FSAA_MODE_4X_HI_Q	3


// the mode that will be set in the beginning, if possible
#define FSAA_STARTING_MODE FSAA_MODE_NONE

extern int fsaa_mode;

void set_fsaa_mode(int newMode);
void antialias(Uint32 *fb);
int  xsize_render(int x);
int  ysize_render(int y);
void check_fsaa_param(void);
