/***************************************************************************
 *   Copyright (C) 2004 by Veselin Georgiev                                *
 *   vesko@ViruS                                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

// the color for larger spheres
#define KOLOR1 0xf7bd4a
// the color for da small ones ;)
#define KOLOR2 0x16a6ff
//
#define KOLOR3 0xffe7ef

typedef struct {
double cx, cy, cz;
double radius;
double alpha, beta;
double speed;
double unused;
}AniSphere;


void setcolor(sphere *a, int col);
void create_fract_array(sphere *a, int *count);
void sort_fract_array(sphere *sphere_array, int count);
void calculate_XYZ(sphere *a, double time, double *o);
void print_sphere_info(FILE *f, sphere *a);
void sphere_close(sphere *a, int c);


